<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Interface org.apache.poi.ss.usermodel.Color (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.apache.poi.ss.usermodel.Color (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
               title="interface in org.apache.poi.ss.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/class-use/Color.html"
               target="_top">Frames</a></li>
        <li><a href="Color.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Interface org.apache.poi.ss.usermodel.Color" class="title">Uses of Interface<br>org.apache.poi.ss.usermodel.Color
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                                    title="interface in org.apache.poi.ss.usermodel">Color</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.util">org.apache.poi.hssf.util</a></td>
                    <td class="colLast">
                        <div class="block">util package contains tools needed for writing HSSF files that are not
                            necesarily "real"
                            HSSF concepts.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.usermodel">org.apache.poi.ss.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.model">org.apache.poi.xssf.model</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                   title="interface in org.apache.poi.ss.usermodel">Color</a> in <a
                            href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> that implement <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                title="interface in org.apache.poi.ss.usermodel">Color</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFExtendedColor.html"
                                    title="class in org.apache.poi.hssf.usermodel">HSSFExtendedColor</a></span></code>
                                <div class="block">The HSSF file format normally stores Color information in the
                                    Palette (see PaletteRecord), but for a few cases (eg Conditional
                                    Formatting, Sheet Extensions), this XSSF-style color record
                                    can be used.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                title="interface in org.apache.poi.ss.usermodel">Color</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFBorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFBorderFormatting.html#getHorizontalBorderColorColor--">getHorizontalBorderColorColor</a></span>()</code>
                                <div class="block">HSSF Doesn't support table borders, so always <a
                                        href="../../../../../../org/apache/poi/hssf/util/HSSFColor.HSSFColorPredefined.html#AUTOMATIC"><code>HSSFColor.HSSFColorPredefined.AUTOMATIC</code></a>
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFBorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFBorderFormatting.html#getVerticalBorderColorColor--">getVerticalBorderColorColor</a></span>()</code>
                                <div class="block">HSSF Doesn't support table borders, so always <a
                                        href="../../../../../../org/apache/poi/hssf/util/HSSFColor.HSSFColorPredefined.html#AUTOMATIC"><code>HSSFColor.HSSFColorPredefined.AUTOMATIC</code></a>
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                title="interface in org.apache.poi.ss.usermodel">Color</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFBorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFBorderFormatting.html#setBottomBorderColor-org.apache.poi.ss.usermodel.Color-">setBottomBorderColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFDataBarFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFDataBarFormatting.html#setColor-org.apache.poi.ss.usermodel.Color-">setColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFColorScaleFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFColorScaleFormatting.html#setColors-org.apache.poi.ss.usermodel.Color:A-">setColors</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>[]&nbsp;colors)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFBorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFBorderFormatting.html#setDiagonalBorderColor-org.apache.poi.ss.usermodel.Color-">setDiagonalBorderColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFPatternFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFPatternFormatting.html#setFillBackgroundColor-org.apache.poi.ss.usermodel.Color-">setFillBackgroundColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;bg)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFPatternFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFPatternFormatting.html#setFillForegroundColor-org.apache.poi.ss.usermodel.Color-">setFillForegroundColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;fg)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFFontFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFFontFormatting.html#setFontColor-org.apache.poi.ss.usermodel.Color-">setFontColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFBorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFBorderFormatting.html#setHorizontalBorderColor-org.apache.poi.ss.usermodel.Color-">setHorizontalBorderColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>
                                <div class="block">Not available for HSSF.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFBorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFBorderFormatting.html#setLeftBorderColor-org.apache.poi.ss.usermodel.Color-">setLeftBorderColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFBorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFBorderFormatting.html#setRightBorderColor-org.apache.poi.ss.usermodel.Color-">setRightBorderColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFBorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFBorderFormatting.html#setTopBorderColor-org.apache.poi.ss.usermodel.Color-">setTopBorderColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFBorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFBorderFormatting.html#setVerticalBorderColor-org.apache.poi.ss.usermodel.Color-">setVerticalBorderColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>
                                <div class="block">Not available for HSSF.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.util">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                   title="interface in org.apache.poi.ss.usermodel">Color</a> in <a
                            href="../../../../../../org/apache/poi/hssf/util/package-summary.html">org.apache.poi.hssf.util</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/hssf/util/package-summary.html">org.apache.poi.hssf.util</a> that implement <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                title="interface in org.apache.poi.ss.usermodel">Color</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/util/HSSFColor.html"
                                    title="class in org.apache.poi.hssf.util">HSSFColor</a></span></code>
                                <div class="block">Intends to provide support for the very evil index to triplet issue
                                    and
                                    will likely replace the color constants interface for HSSF 2.0.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/util/package-summary.html">org.apache.poi.hssf.util</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                title="interface in org.apache.poi.ss.usermodel">Color</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hssf/util/HSSFColor.html"
                                    title="class in org.apache.poi.hssf.util">HSSFColor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFColor.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/util/HSSFColor.html#toHSSFColor-org.apache.poi.ss.usermodel.Color-">toHSSFColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>
                                <div class="block">Checked type cast <tt>color</tt> to an HSSFColor.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                   title="interface in org.apache.poi.ss.usermodel">Color</a> in <a
                            href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> that implement <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                title="interface in org.apache.poi.ss.usermodel">Color</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html"
                                    title="class in org.apache.poi.ss.usermodel">ExtendedColor</a></span></code>
                                <div class="block">Represents a XSSF-style color (based on either a
                                    <a href="../../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html"
                                       title="class in org.apache.poi.xssf.usermodel"><code>XSSFColor</code></a> or a
                                    <a href="../../../../../../org/apache/poi/hssf/record/common/ExtendedColor.html"
                                       title="class in org.apache.poi.hssf.record.common"><code>ExtendedColor</code></a>
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                title="interface in org.apache.poi.ss.usermodel">Color</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">BorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getBottomBorderColorColor--">getBottomBorderColorColor</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">DataBarFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataBarFormatting.html#getColor--">getColor</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">ColorScaleFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ColorScaleFormatting.html#getColors--">getColors</a></span>()</code>
                                <div class="block">Gets the list of colours that are interpolated
                                    between.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">BorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getDiagonalBorderColorColor--">getDiagonalBorderColorColor</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CellStyle.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html#getFillBackgroundColorColor--">getFillBackgroundColorColor</a></span>()</code>
                                <div class="block">Gets the color object representing the current
                                    background fill, resolving indexes using
                                    the supplied workbook.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">PatternFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/PatternFormatting.html#getFillBackgroundColorColor--">getFillBackgroundColorColor</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">CellStyle.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/CellStyle.html#getFillForegroundColorColor--">getFillForegroundColorColor</a></span>()</code>
                                <div class="block">Gets the color object representing the current
                                    foreground fill, resolving indexes using
                                    the supplied workbook.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">PatternFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/PatternFormatting.html#getFillForegroundColorColor--">getFillForegroundColorColor</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">FontFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#getFontColor--">getFontColor</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">BorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getHorizontalBorderColorColor--">getHorizontalBorderColorColor</a></span>()</code>
                                <div class="block">Range internal borders.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">BorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getLeftBorderColorColor--">getLeftBorderColorColor</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">BorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getRightBorderColorColor--">getRightBorderColorColor</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">BorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getTopBorderColorColor--">getTopBorderColorColor</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">BorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#getVerticalBorderColorColor--">getVerticalBorderColorColor</a></span>()</code>
                                <div class="block">Range internal borders.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                title="interface in org.apache.poi.ss.usermodel">Color</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">BorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#setBottomBorderColor-org.apache.poi.ss.usermodel.Color-">setBottomBorderColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">DataBarFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataBarFormatting.html#setColor-org.apache.poi.ss.usermodel.Color-">setColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ColorScaleFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/ColorScaleFormatting.html#setColors-org.apache.poi.ss.usermodel.Color:A-">setColors</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>[]&nbsp;colors)</code>
                                <div class="block">Sets the list of colours that are interpolated
                                    between.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">BorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#setDiagonalBorderColor-org.apache.poi.ss.usermodel.Color-">setDiagonalBorderColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">PatternFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/PatternFormatting.html#setFillBackgroundColor-org.apache.poi.ss.usermodel.Color-">setFillBackgroundColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;bg)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">PatternFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/PatternFormatting.html#setFillForegroundColor-org.apache.poi.ss.usermodel.Color-">setFillForegroundColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;fg)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">FontFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/FontFormatting.html#setFontColor-org.apache.poi.ss.usermodel.Color-">setFontColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>
                                <div class="block">Sets the colour to use</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">BorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#setHorizontalBorderColor-org.apache.poi.ss.usermodel.Color-">setHorizontalBorderColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>
                                <div class="block">Range internal border color, such as table styles</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">BorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#setLeftBorderColor-org.apache.poi.ss.usermodel.Color-">setLeftBorderColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">BorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#setRightBorderColor-org.apache.poi.ss.usermodel.Color-">setRightBorderColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">BorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#setTopBorderColor-org.apache.poi.ss.usermodel.Color-">setTopBorderColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">BorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html#setVerticalBorderColor-org.apache.poi.ss.usermodel.Color-">setVerticalBorderColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>
                                <div class="block">Range internal border color, such as table styles</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.model">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                   title="interface in org.apache.poi.ss.usermodel">Color</a> in <a
                            href="../../../../../../org/apache/poi/xssf/model/package-summary.html">org.apache.poi.xssf.model</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/model/package-summary.html">org.apache.poi.xssf.model</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                title="interface in org.apache.poi.ss.usermodel">Color</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFFont.html"
                                    title="class in org.apache.poi.xssf.usermodel">XSSFFont</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">StylesTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/model/StylesTable.html#findFont-boolean-org.apache.poi.ss.usermodel.Color-short-java.lang.String-boolean-boolean-short-byte-">findFont</a></span>(boolean&nbsp;bold,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                   title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color,
                                short&nbsp;fontHeight,
                                java.lang.String&nbsp;name,
                                boolean&nbsp;italic,
                                boolean&nbsp;strikeout,
                                short&nbsp;typeOffset,
                                byte&nbsp;underline)</code>
                                <div class="block">Finds a font that matches the one with the supplied attributes,
                                    where color is the actual Color-value, not the indexed color
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                   title="interface in org.apache.poi.ss.usermodel">Color</a> in <a
                            href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> that implement <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                title="interface in org.apache.poi.ss.usermodel">Color</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html"
                                    title="class in org.apache.poi.xssf.usermodel">XSSFColor</a></span></code>
                                <div class="block">Represents a color in SpreadsheetML</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                title="interface in org.apache.poi.ss.usermodel">Color</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFBorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFBorderFormatting.html#setBottomBorderColor-org.apache.poi.ss.usermodel.Color-">setBottomBorderColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFDataBarFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFDataBarFormatting.html#setColor-org.apache.poi.ss.usermodel.Color-">setColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFColorScaleFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFColorScaleFormatting.html#setColors-org.apache.poi.ss.usermodel.Color:A-">setColors</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>[]&nbsp;colors)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFBorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFBorderFormatting.html#setDiagonalBorderColor-org.apache.poi.ss.usermodel.Color-">setDiagonalBorderColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFPatternFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFPatternFormatting.html#setFillBackgroundColor-org.apache.poi.ss.usermodel.Color-">setFillBackgroundColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;bg)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFPatternFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFPatternFormatting.html#setFillForegroundColor-org.apache.poi.ss.usermodel.Color-">setFillForegroundColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;fg)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFFontFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFFontFormatting.html#setFontColor-org.apache.poi.ss.usermodel.Color-">setFontColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFBorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFBorderFormatting.html#setHorizontalBorderColor-org.apache.poi.ss.usermodel.Color-">setHorizontalBorderColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFBorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFBorderFormatting.html#setLeftBorderColor-org.apache.poi.ss.usermodel.Color-">setLeftBorderColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFBorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFBorderFormatting.html#setRightBorderColor-org.apache.poi.ss.usermodel.Color-">setRightBorderColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFBorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFBorderFormatting.html#setTopBorderColor-org.apache.poi.ss.usermodel.Color-">setTopBorderColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFBorderFormatting.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFBorderFormatting.html#setVerticalBorderColor-org.apache.poi.ss.usermodel.Color-">setVerticalBorderColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html"
                                    title="class in org.apache.poi.xssf.usermodel">XSSFColor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFColor.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html#toXSSFColor-org.apache.poi.ss.usermodel.Color-">toXSSFColor</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
                                    title="interface in org.apache.poi.ss.usermodel">Color</a>&nbsp;color)</code>
                                <div class="block">Checked type cast <tt>color</tt> to an XSSFColor.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/Color.html"
               title="interface in org.apache.poi.ss.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/class-use/Color.html"
               target="_top">Frames</a></li>
        <li><a href="Color.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
